• Post Reply Bookmark Topic Watch Topic
  • New Topic

Problem with JBoss & Eclipse....Unable to configure jboss with Eclipse...Please help  RSS feed

 
Rohit W. Tawde
Greenhorn
Posts: 25
Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I have downloaded jboss, it is saved in this dir, C:\jboss-as-7.1.1.Final
I use Eclipse 3.8.0

How can i configure the jboss with eclipse.
Ive searched the internet, but unable to do so.

When i try to add the server using new server in eclipse, it does not show the option of jboss-as-7, its shows Jboss5.0

Also when i select the dir, C:\jboss-as-7.1.1.Final, its displays the following error,
Missing classpath entry C:\jboss-as-7.1.1.Final\bin\run.jar

Please help
 
Carles Gasques
Ranch Hand
Posts: 199
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

In your Eclipse select Help / Eclipse Market Place and type JBoss Tools.
Install the plugin an you are done.


Best regards,
 
Rohit W. Tawde
Greenhorn
Posts: 25
Java
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Carles,

I followed your instructions.

It gives me the following errors,

Cannot complete the install because of a conflicting dependency.
Software being installed: JBoss Maven Seam Integration 1.4.0.Final-v20130326-2027-B145 (org.jboss.tools.maven.seam.feature.feature.group 1.4.0.Final-v20130326-2027-B145)
Software currently installed: CXF Web Services 1.0.100.v201105171845-7H77DRFAKlZgjHCaHg65uE6I6I (org.eclipse.jst.ws.cxf.feature.feature.group 1.0.100.v201105171845-7H77DRFAKlZgjHCaHg65uE6I6I)
Only one of the following can be installed at once:
Server Core 1.1.403.v20111209_0750 (org.eclipse.wst.server.core 1.1.403.v20111209_0750)
Server Core 1.4.100.v20130117_1140 (org.eclipse.wst.server.core 1.4.100.v20130117_1140)
Cannot satisfy dependency:
From: CXF Web Services Creation Core 1.0.100.v201104022153 (org.eclipse.jst.ws.cxf.creation.core 1.0.100.v201104022153)
To: bundle org.eclipse.wst.server.core [1.1.0,1.2.0)
Cannot satisfy dependency:
From: CXF Web Services 1.0.100.v201105171845-7H77DRFAKlZgjHCaHg65uE6I6I (org.eclipse.jst.ws.cxf.feature.feature.group 1.0.100.v201105171845-7H77DRFAKlZgjHCaHg65uE6I6I)
To: org.eclipse.jst.ws.cxf.creation.core [1.0.100.v201104022153]
Cannot satisfy dependency:
From: JBoss AS Core Plug-in 2.4.1.Final-v20130327-0617-B80 (org.jboss.ide.eclipse.as.core 2.4.1.Final-v20130327-0617-B80)
To: bundle org.jboss.tools.runtime.ui 2.0.0
Cannot satisfy dependency:
From: JBoss Maven Seam Configurator 1.4.0.Final-v20130326-2027-B145 (org.jboss.tools.maven.seam 1.4.0.Final-v20130326-2027-B145)
To: bundle org.jboss.tools.seam.core 0.0.0
Cannot satisfy dependency:
From: JBoss Maven Seam Integration 1.4.0.Final-v20130326-2027-B145 (org.jboss.tools.maven.seam.feature.feature.group 1.4.0.Final-v20130326-2027-B145)
To: org.jboss.tools.maven.seam [1.4.0.Final-v20130326-2027-B145]
Cannot satisfy dependency:
From: JBoss Runtime Detection UI 2.0.0.Final-v20130327-0606-B69 (org.jboss.tools.runtime.ui 2.0.0.Final-v20130327-0606-B69)
To: bundle org.eclipse.wst.server.core 1.4.0
Cannot satisfy dependency:
From: Seam Tools 3.4.0.Final-v20130327-1556-B159 (org.jboss.tools.seam.core 3.4.0.Final-v20130327-1556-B159)
To: bundle org.jboss.ide.eclipse.as.core 0.0.0
 
Carles Gasques
Ranch Hand
Posts: 199
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

There are Helios (3.6) an Indigo (3.7) JBoss Tools plugin in the eclipse market place
and the Juno (4.2) in the Jboss site JBoss Tools.

I would try JBoss Tools plugin for Indigo or Juno in your Eclipse 3.8.0 distribution.

Other options could be
Spring Tool Suit (at least 3.1.0.RELEASE and JBoss Tools are compatible)
JBoss Studio (already JBoss integrated).


Best regards
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!